# Generated by Django 3.2.21 on 2023-10-04 09:57

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    dependencies = [
        ('crawl_bot', '0003_alter_crawlbot_status'),
        ('profiles', '0003_alter_profile_user_agent'),
        ('social_account', '0002_auto_20230929_1042'),
    ]

    operations = [
        migrations.AlterField(
            model_name='socialaccount',
            name='crawl_bot',
            field=models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, to='crawl_bot.crawlbot'),
        ),
        migrations.AlterField(
            model_name='socialaccount',
            name='email',
            field=models.EmailField(blank=True, max_length=63, null=True, unique=True),
        ),
        migrations.AlterField(
            model_name='socialaccount',
            name='is_recovery',
            field=models.BooleanField(blank=True, default=False),
        ),
        migrations.AlterField(
            model_name='socialaccount',
            name='note',
            field=models.TextField(blank=True, null=True),
        ),
        migrations.AlterField(
            model_name='socialaccount',
            name='pass_email',
            field=models.CharField(blank=True, max_length=255, null=True),
        ),
        migrations.AlterField(
            model_name='socialaccount',
            name='password',
            field=models.CharField(blank=True, max_length=20),
        ),
        migrations.AlterField(
            model_name='socialaccount',
            name='profile',
            field=models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.SET_NULL, to='profiles.profile'),
        ),
        migrations.AlterField(
            model_name='socialaccount',
            name='recovery_account_id',
            field=models.IntegerField(blank=True, null=True),
        ),
        migrations.AlterField(
            model_name='socialaccount',
            name='status',
            field=models.IntegerField(blank=True, default=1),
        ),
        migrations.AlterField(
            model_name='socialaccount',
            name='twofa',
            field=models.CharField(blank=True, max_length=500, null=True),
        ),
        migrations.AlterField(
            model_name='socialaccount',
            name='type',
            field=models.CharField(blank=True, max_length=255, null=True),
        ),
        migrations.AlterField(
            model_name='socialaccount',
            name='username',
            field=models.CharField(blank=True, max_length=63, null=True, unique=True),
        ),
    ]
